get
https://api.zenoti.com/v1/vendors//products?page=&size=
This API retrieves the list of all products associated to a vendor.
You must specify appropriate details for the vendor_id parameter in the API request. Optionally, you can provide necessary details for the page and size parameters to use the pagination feature in the output.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Details
| Name | Type | Description |
|---|---|---|
| vendor_products | object | Object that contains all product-related elements for the specified vendor. For more information, refer to the vendor_products Object table. |
| page_info | object | Paging details for the output. For more information, refer to the page_info Object table. |
| Error | object | Object that contains error message and error code details. |
vendor_products Object
| Name | Type | Description |
|---|---|---|
| id | guid | Unique 32-character identifier of the product associated with the vendor. |
| name | string | Product name. |
| code | string | Product code. |
| description | string | Description of the product. |
| part_number | string | Product part number of the vendor. |
page_info Object
| Name | Type | Description |
|---|---|---|
| total | int | Total records found displayed in the output. |
| page | int | Current page to be viewed. |
| size | int | Number of records displayed per page. |
